curl --request POST \
--url http://sandbox.mintlify.com/core/book_meeting \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"team_id": 123,
"agent_id": 123,
"meeting_type_id": 123,
"attendee_email": "john.doe@example.com",
"start_time": "1716489600"
}
}
}
'import requests
url = "http://sandbox.mintlify.com/core/book_meeting"
payload = { "data": { "attributes": {
"team_id": 123,
"agent_id": 123,
"meeting_type_id": 123,
"attendee_email": "john.doe@example.com",
"start_time": "1716489600"
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
team_id: 123,
agent_id: 123,
meeting_type_id: 123,
attendee_email: 'john.doe@example.com',
start_time: '1716489600'
}
}
})
};
fetch('http://sandbox.mintlify.com/core/book_meeting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "abc",
"attributes": {
"meeting_id": "abc",
"team_id": 123,
"agent_id": 123,
"meeting_type_id": 123,
"attendee_email": "john.doe@example.com",
"start_time": "1716489600"
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"source": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"source": "<string>"
}
]
}Schedule a Meeting
Schedules a meeting using the Atonom voice agent system
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Schedule Meeting request
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
The meeting type ID to schedule the meeting for
The start time of the meeting in Unix seconds (stringified)
The team ID to schedule the meeting for
The agent ID to schedule the meeting for
The email address of the attendee to schedule the meeting for
Response
Meeting scheduled successfully
Hide child attributes
Hide child attributes
The ID of the meeting
Hide child attributes
Hide child attributes
The meeting type ID to schedule the meeting for
The start time of the meeting in Unix seconds (stringified)
The team ID to schedule the meeting for
The agent ID to schedule the meeting for
The email address of the attendee to schedule the meeting for

